<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('form_others', function (Blueprint $table) {
            $table->timestamp('approved2_at')->nullable()->after('approved_at');
            $table->foreignId('approved2_by')->nullable()->constrained('admins')->cascadeOnDelete()->after('approved_by');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('form_others', function (Blueprint $table) {
            $table->dropColumn('approved2_at');
            $table->dropForeign(['approved2_by']);
            $table->dropColumn('approved2_by');
        });
    }
};
